# Uses of Class
org.eclipse.swt.graphics.RGBA

Packages that use RGBA
Package
Description
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.swt.graphics
SWT graphics classes.

## Uses of RGBA in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers that return RGBA
Modifier and Type
Method
Description
`static RGBA`
CSSSWTColorHelper.`getRGBA(String name)`
`static RGBA`
CSSSWTColorHelper.`getRGBA(CSSPrimitiveValue value)`
`static RGBA`
CSSSWTColorHelper.`getRGBA(CSSValue value)`
`static RGBA`
CSSSWTColorHelper.`getRGBA(RGBColor color)`

## Uses of RGBA in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return RGBA
Modifier and Type
Method
Description
`RGBA`
Color.`getRGBA()`
Returns an `RGBA` representing the receiver.
Constructors in org.eclipse.swt.graphics with parameters of type RGBA
Modifier
Constructor
Description
``
`Color(Device device, RGBA rgba)`
Constructs a new instance of this class given a device and an `RGBA` describing the desired red, green, blue & alpha values.
``
`Color(RGBA rgba)`
Constructs a new instance of this class given an `RGBA` describing the desired red, green, blue & alpha values.